[Config SmallNetwork]
network = SmallNetwork
##SmallNetwork.*.sendInterval= exponential(6s)
SmallNetwork.**.delayTime = exponential(3s)


[Config SmallNetwork_Alpha_2]
network = SmallNetwork
SmallNetwork.CSE_in[*].alpha = 2

[Config BigNetwork]
network = BigNetwork
BigNetwork.**.delayTime = 0
BigNetwork.**.notification_depth = 2
BigNetwork.**.queryBufferTTL = 5

[Config BigNetworkMultiRun]
network = BigNetwork
BigNetwork.**.delayTime = exponential(3s)
BigNetwork.**.notification_depth = ${1 .. 3 step 1}
repeat = 5
warmup-period = 20s


[Config LargeNetworkOnce]
network = LargeNetwork
LargeNetwork.**.delayTime = 100ms
LargeNetwork.**.notification_depth = 2
LargeNetwork.**.alpha = 3
LargeNetwork.**.beta = 3
warmup-period = 60s
LargeNetwork.**.warmup = 60
LargeNetwork.cse_in = 20
LargeNetwork.ae_in = 10
LargeNetwork.ae_adn = 20
LargeNetwork.cse_asn = 10
LargeNetwork.ae_asn = 10
LargeNetwork.mn_cse = 10
LargeNetwork.mn_ae = 12
LargeNetwork.adn = 20
LargeNetwork.**.maxHops = 10


[Config LargeNetwork]
network = LargeNetwork
LargeNetwork.**.delayTime = 100ms
LargeNetwork.**.notification_depth = ${1 .. 2 step 1}
LargeNetwork.**.alpha = ${1 .. 3 step 2}
warmup-period = 60s
LargeNetwork.**.warmup = 60
LargeNetwork.cse_in = 20
LargeNetwork.ae_in = 100
LargeNetwork.ae_adn = 20
LargeNetwork.cse_asn = 20
LargeNetwork.ae_asn = 50
LargeNetwork.mn_cse = 10
LargeNetwork.mn_ae = 12
LargeNetwork.adn = 20
LargeNetwork.**.maxHops = ${6..10 step 2}
LargeNetwork.**.resource_pool_size = 10000

